import type { CSSProperties, RefObject, Dispatch, SetStateAction } from 'react';
import React from 'react';
import type { ActionPosition, BoxSize } from './types';
import './ThumbBar.less';
export interface ThumbBarProps {
    scrollRef: React.MutableRefObject<HTMLElement | null>;
    visible: boolean;
    trackStyle?: (horizontal?: boolean) => CSSProperties;
    thumbStyle?: (horizontal?: boolean) => CSSProperties;
    minThumbSize?: number;
    start: number;
    gap: number;
    horizontal?: boolean;
    pin: boolean | undefined;
    trackRef: RefObject<HTMLDivElement>;
    boxSize: BoxSize;
    update: Dispatch<SetStateAction<ActionPosition>>;
    onScroll: (scrollOffset: number, horizontal?: boolean) => void;
}
export default function ThumbBar({ scrollRef, visible, trackStyle, thumbStyle, minThumbSize, start, gap, horizontal, pin, trackRef, boxSize, update, onScroll, }: ThumbBarProps): React.JSX.Element;
